SellAuth

Affiliate Payouts

List Payout Requests

Returns the shop's affiliate payout requests, newest first.

GET
/v1/shops/{shopId}/affiliate-payouts

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
statusstring
Value in: "pending" | "paid" | "rejected" | "cancelled"
perPageinteger

Must be at least 1. Must not be greater than 100.

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/affiliate-payouts" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "paid",
    "perPage": 1
  }'

{
  "message": "Unauthenticated."
}

Pay Payout Request

Marks a pending payout request as paid. The seller pays the affiliate outside of SellAuth (per the payout details) and confirms here.

POST
/v1/shops/{shopId}/affiliate-payouts/{payoutRequestId}/pay

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

payoutRequestIdRequiredinteger

The payout request ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/affiliate-payouts/{payoutRequestId}/pay" \
  -H "Authorization: Bearer <token>"

Reject Payout Request

Rejects a pending payout request and refunds the amount to the affiliate balance.

POST
/v1/shops/{shopId}/affiliate-payouts/{payoutRequestId}/reject

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
seller_notestring

Optional note shown to the affiliate.

Path Parameters

shopIdRequiredinteger

The shop ID.

payoutRequestIdRequiredinteger

The payout request ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/affiliate-payouts/{payoutRequestId}/reject" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "seller_note": "culpa"
  }'